## Interface Swift_Mime_HeaderSet

(line 21)

## Description

    Swift_Mime_CharsetObserver
       |
       --Swift_Mime_HeaderSet

Located in File: /vendors/swiftMailer/classes/Swift/Mime/HeaderSet.php

##### A collection of MIME headers.

- author: - Chris Corbyn

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:
void addDateHeader (string $name, [int $timestamp = null])
void addIdHeader (string $name, [string|array $ids = null])
void addMailboxHeader (string $name, [array|string $addresses = null])
void addParameterizedHeader (string $name, [string $value = null], [array $params = array()])
void addPathHeader (string $name, [string $path = null])
void addTextHeader (string $name, [string $value = null])
void defineOrdering ( $sequence)
Swift_Mime_Header get (string $name, [int $index = 0])
array getAll ([string $name = null])
boolean has (string $name, [int $index = 0])
Swift_Mime_HeaderSet newInstance ()
void remove (string $name, [int $index = 0])
void removeAll (string $name)
void set (Swift_Mime_Header $header, [int $index = 0])
void setAlwaysDisplayed ( $names)
string toString ()

#### Method addDateHeader (line 38)

#### void addDateHeader( string $name, [int $timestamp = null])

##### Add a new Date header using $timestamp (UNIX time).

#### Parameters

- string $name:
- int $timestamp:

#### Info

- access - public

#### Method addIdHeader (line 64)

#### void addIdHeader( string $name, [string|array $ids = null])

##### Add a new ID header for Message-ID or Content-ID.

#### Parameters

- string $name:
- string|array $ids:

#### Info

- access - public

#### Method addMailboxHeader (line 30)

#### void addMailboxHeader( string $name, [array|string $addresses = null])

##### Add a new Mailbox Header with a list of $addresses.

#### Parameters

- string $name:
- array|string $addresses:

#### Info

- access - public

#### Method addParameterizedHeader (line 55)

#### void addParameterizedHeader( string $name, [string $value = null], [array $params = array()])

##### Add a new ParameterizedHeader with $name, $value and $params.

#### Parameters

- string $name:
- string $value:
- array $params:

#### Info

- access - public

#### Method addPathHeader (line 72)

#### void addPathHeader( string $name, [string $path = null])

##### Add a new Path header with an address (path) in it.

#### Parameters

- string $name:
- string $path:

#### Info

- access - public

#### Method addTextHeader (line 46)

#### void addTextHeader( string $name, [string $value = null])

##### Add a new basic text header with $name and $value.

#### Parameters

- string $name:
- string $value:

#### Info

- access - public

#### Method defineOrdering (line 152)

#### void defineOrdering( $sequence)

##### Define a list of Header names as an array in the correct order.

These Headers will be output in the given order where present.

#### Parameters

- array $sequence:

#### Info

- access - public

#### Method get (line 110)

#### Swift_Mime_Header get( string $name, [int $index = 0])

##### Get the header with the given $name.

If multiple headers match, the actual one may be specified by $index. Returns NULL if none present.

#### Parameters

- string $name:
- int $index:

#### Info

- access - public

#### Method getAll (line 119)

#### array getAll( [string $name = null])

##### Get all headers with the given $name.

#### Parameters

- string $name:

#### Info

- access - public

#### Method has (line 84)

#### boolean has( string $name, [int $index = 0])

##### Returns true if at least one header with the given $name exists.

If multiple headers match, the actual one may be specified by $index.

#### Parameters

- string $name:
- int $index:

#### Info

- access - public

#### Method newInstance (line 143)

#### Swift_Mime_HeaderSet newInstance( )

##### Create a new instance of this HeaderSet.

#### Info

- access - public

#### Method remove (line 129)

#### void remove( string $name, [int $index = 0])

##### Remove the header with the given $name if it's set.

If multiple headers match, the actual one may be specified by $index.

#### Parameters

- string $name:
- int $index:

#### Info

- access - public

#### Method removeAll (line 136)

#### void removeAll( string $name)

##### Remove all headers with the given $name.

#### Parameters

- string $name:

#### Info

- access - public

#### Method set (line 98)

#### void set( Swift_Mime_Header $header, [int $index = 0])

##### Set a header in the HeaderSet.

The header may be a previously fetched header via get() or it may be one that has been created separately.

If $index is specified, the header will be inserted into the set at this offset.

#### Parameters

- Swift_Mime_Header $header:
- int $index:

#### Info

- access - public

#### Method setAlwaysDisplayed (line 161)

#### void setAlwaysDisplayed( $names)

##### Set a list of header names which must always be displayed when set.

Usually headers without a field value won't be output unless set here.

#### Parameters

- array $names:

#### Info

- access - public

#### Method toString (line 168)

#### string toString( )

##### Returns a string with a representation of all headers.

#### Info

- access - public

## Inherited Variables

### Inherited Class Variable Summary

## Inherited Methods

### Inherited Method Summary

#### Inherited From Class Swift_Mime_CharsetObserver

#### Swift_Mime_CharsetObserver::charsetChanged() - Notify this observer that the entity's charset has changed.

Documentation generated on Fri, 12 Nov 2010 20:45:22 +0000 by phpDocumentor 1.4.3